from ._TableError import TableError


class TabIdAlreadyExists(TableError):
    def __init__(
        self,       # type: TabIdAlreadyExists
        tab_id,     # type: str
    ):
        self.tab_id = tab_id

    def get_extra_data(self):
        return {
            "tabId": self.tab_id,
        }
